Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.annotation
Class RunAs

    java.lang.Object
      org.mortbay.jetty.plus.annotation.RunAs

    public class RunAs

extends java.lang.Object

RunAs Represents a <run-as> element in web.xml, or a runAs annotation.

Constructor Summary
`RunAs()`

Method Summary
`java.lang.String` | `getRoleName()`
`java.lang.Class` | `getTargetClass()`
`void` | `setRoleName(java.lang.String roleName)`
`void` | `setRunAs(ServletHolder holder)`
`void` | `setTargetClass(java.lang.Class clazz)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunAs

    public RunAs()

Method Detail

### setTargetClass

    public void setTargetClass(java.lang.Class clazz)

### getTargetClass

    public java.lang.Class getTargetClass()

### setRoleName

    public void setRoleName(java.lang.String roleName)

### getRoleName

    public java.lang.String getRoleName()

### setRunAs

    public void setRunAs(ServletHolder holder)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.